{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    <div class="row justify-content-center mt-5">
        <div class="col-4">
            <form method="post">
                {% if error %}
                    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}

                <h1 class="h3 mb-3 font-weight-normal">Вход</h1>
                <label for="inputLogin">Логин</label>
                <input type="text" value="{{ last_username }}" name="_username" id="inputLogin" class="form-control"
                       required
                       autofocus>
                <label for="inputPassword">Пароль</label>
                <input type="password" name="password" id="inputPassword" class="form-control" required>

                <input type="hidden" name="_csrf_token"
                       value="{{ csrf_token('authenticate') }}"
                >
                <button class="btn btn-lg btn-primary mt-3" type="submit">Войти</button>
            </form>
        </div>
    </div>

{% endblock %}
